Page MenuHomePhabricator

[mlir][vulkan-runner] fix VK_ERROR_INCOMPATIBLE_DRIVER error
ClosedPublic

Authored by jackalcooper on Jun 20 2022, 2:56 AM.

Details

Summary

On macOS, Vulkan is emulated by MoltenVK. Some extra flags are required for "building robust and portable Vulkan based applications that are good citizens in the Vulkan ecosystem". More information: https://vulkan.lunarg.com/doc/sdk/1.3.216.0/mac/getting_started.html

Diff Detail

Event Timeline

jackalcooper created this revision.Jun 20 2022, 2:56 AM
jackalcooper requested review of this revision.Jun 20 2022, 2:56 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 20 2022, 3:00 AM
antiagainst accepted this revision.Jun 21 2022, 9:27 AM
This revision is now accepted and ready to land.Jun 21 2022, 9:27 AM
jackalcooper added a comment.EditedJun 21 2022, 7:59 PM

hi @antiagainst , I don't have commit access. Could you please commit the change?

hi @antiagainst , I don't have commit access. Could you please commit the change?

Sure thing. What Git commit author information you'd like to use?

hi @antiagainst , I don't have commit access. Could you please commit the change?

Sure thing. What Git commit author information you'd like to use?

user.email jackalcooper@gmail.com
user.name jackalcooper

This revision was landed with ongoing or failed builds.Jun 22 2022, 4:40 PM
This revision was automatically updated to reflect the committed changes.